Subject: Re: linux-next: unnecessary merges in the v4l-dvb tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 30 Oct 2014 21:59:39 +1100

Hi Mauro,

On Thu, 30 Oct 2014 08:09:34 -0200 Mauro Carvalho Chehab <[email-masked]> wrote:
>
> Em Thu, 30 Oct 2014 09:24:45 +1100
> Stephen Rothwell <[email-masked]> escreveu:
> 
> > The only ways I know around this is to either merge the commit
> > associated with the tag or do a (hard) reset to the tag.
> 
> A hard reset to the tag would likely be a bad idea, as it would break
> the sub-maintainers trees that are based on my tree.

I should have said that I don't expect you to change your tree at the
moment, just for that reason.  But maybe next time.

> I generally use "git pull" for that, as the man page says that the
> default behavior is to do fast forward:
>        "--ff
>            When the merge resolves as a fast-forward, only update
> 	   the branch pointer, without creating a merge commit. 
> 	   This is the default behavior."
> 
> It seems that the man page is then outdated for signed tags, or,
> eventually, we need to make --ff explicit on this case.

I think that --ff overrides this behaviour.  Doing "git merge
'<tag>^{}'" works, but you can't use that with "git pull".

> I'll try the approach of merging the associated commit next time,
> but this is something that it is easy to forget.

I don't think it is a really big problem but it would be nicer for
everyone.

-- 
Cheers,
Stephen Rothwell                    [email-masked]